Subject: RE: [manet] Question regarding Mobility

From: "John Mullen" <[email-masked]>
Date: Fri, 21 Nov 2003 07:36:41 -0700

Hi Peter,

Well, if you have a very large table.

:-)

The exact distributions are rather tedious and dependent on the mobility
model in question.  If you use Johnson's version of the Random Waypoint
model (David B. Johnson, David A. Maltz, and A Josh Broch. DSR: The
Dynamic Source Routing Protocol for Multi-Hop Wireless Ad Hoc Networks,
chapter 5, pages 139-172.) on a square region, then the cumulative
distribution function of the distance (d) between two randomly-selected
nodes is approximately

    1 - exp{-15d^2/[w^2(5-2p)]}

where w is the edge dimension of the square region and p is the
probability that a random node will be in motion. The gory details of
this and similar derivations are in "Robust Approximations to the
Distribution of Link Distances in a Wireless Network Occupying a
Rectangular Region," _Mobile Computing and Communications Review_,
Volume 7, Number 2.  You can find a  closer approximation in that paper
and get some sense of what the exact distributions look like.  

However, there are other versions of the Random Waypoint Mobility Model
and many other mobility models (see T. Camp, J. Boleng, and V. Davies.
"A survey of mobility models for ad hoc network research." _Wireless
Communications & Mobile Computing (WCMC): Special issue on Mobile Ad Hoc
Networking: Research, Trends and Applications_, 2(5):483-502, 2002.) and
each one will have its own spatial and distance distributions.  The
approximation given in my paper above can be used in at least some of
the models, providing you can determine the standard deviations of the X
and Y spatial distributions.  However, as far as I know, that is
something yet to be done.  Even for the situation above, I depended on a
promising, but approximate model given in Bettstetter and Wagner's
paper, "The spatial node distribution of the random waypoint mobility
model." In the 1st German Workshop on Mobile Ad-Hoc Networks (WMAN'02),
Ulm, Germany, 2002.)  As far as I know, no one has derived an exact
distribution for this case.

John Mullen

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Philippe Jacquet
Sent: Friday, November 21, 2003 3:06 AM
To: Peter Pham
Cc: MANET
Subject: Re: [manet] Question regarding Mobility

Basically I am not aware of publications, these are easy derviations,
you can write the proof on the corner of a table...

Philippe
----- Original Message -----
From: Peter Pham <[email-masked]>
To: Philippe Jacquet <[email-masked]>
Cc: MANET <[email-masked]>
Sent: Friday, November 21, 2003 1:11 AM
Subject: Re: [manet] Question regarding Mobility

> Dear Philippe
>
> I am really intersted in the result. Is there any papers on this that 
> you can refer to ?...Can you let me know ?
>
> Cheers
> Peter Pham
>
> Philippe Jacquet wrote:
>
> >Yes, Peter, the distribution changes if you introduce mobility and it

> >depends on the mobility model. Take the random way point model where 
> >each node has a distinct a random destination point selected 
> >uniformly in a square, and each node moves to this destination at 
> >constant speed. In
this
> >case, the stationary density at point (x,y) (assuming a 1x1 square) 
> >is *( x* log x+(1-x)*log(1-x))*(y*log y +(1-y)*log(1-y)) which 
> >differs from uniform density (which is equal to 1 at any point in the

> >1x1 square).
> >
> >Philippe
> >----- Original Message -----
> >From: Peter Pham <[email-masked]>
> >To: MANET <[email-masked]>
> >Sent: Thursday, November 20, 2003 2:03 AM
> >Subject: [manet] Question regarding Mobility
> >
> >
> >
> >
> >>Hi all
> >>I am interested in modelling ad hoc networks. In the stationary 
> >>scenario (nodes do not move), I can assume that the mobile nodes are

> >>distributed randomly according to Poisson distribution (many assumed

> >>so). However, is this assumption still valid under the mobility ? 
> >>Can anyone give me some advice ?
> >>
> >>Peter Pham
> >>
> >>
> >>
> >>_______________________________________________
> >>manet mailing list
> >>[email-masked]
> >>https://www1.ietf.org/mailman/listinfo/manet
> >>
> >>
> >
> >
> >_______________________________________________
> >manet mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/manet
> >
> >
> >
> >
>
>
>
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Dearlove, Chris (UK)" <[email-masked]>
Date: Tue, 25 Nov 2003 17:17:38 +0000

> Someone asked me about a proof that the random-walk billiards 
> model results
> in uniformly distributed node positions.  (This is the model 
> in which a node
> moves in a random direction for T seconds, bouncing off boundaries
> like a billiards ball, and choosing a new random direction 
> after T seconds.)
> I think this is fairly intuitive, by considering what happens if the 
> node instead
> goes straight through the boundary into an equivalent region 
> adjacent to
> the original region.  But is this result well known?   Can 
> anyone point
> to a reference for this?

We have been using this model and whilst I also haven't rigorously
proved it, I also was happy with the equivalency argument. The
equivalency argument of course requires only minimal symmetry of the
random walk process (axes parallel with the rectangular - square
not necessary - bounded region). A published result would be good
to dot the i's and cross the t's however.

Practically - with the distribution you note - the model seems to work.
Whilst we haven't done full statistical analysis, it has the consequences
that were the reason we adopted it in the first place - results as speed
tends to zero are consistent with the actual static case. For random
waypoint (with a positive lower bound on speed so we don't have
the tendency to zero speed problem) this is not true because of a tendency
to be in the centre of the region.

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************